gr::ieee802_15_4::frame_buffer_cc Class Reference

<+description of block+> More...

`#include <frame_buffer_cc.h>`

Inheritance diagram for gr::ieee802_15_4::frame_buffer_cc:
[legend]

## Public Types

typedef boost::shared_ptr< frame_buffer_cc > | sptr

## Static Public Member Functions

static sptr | make (int nsym_frame)
| Return a shared_ptr to a new instance of ieee802_15_4::frame_buffer_cc. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<frame_buffer_cc> gr::ieee802_15_4::frame_buffer_cc::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::frame_buffer_cc::make | ( | int | nsym_frame | ) |

static

Return a shared_ptr to a new instance of ieee802_15_4::frame_buffer_cc.

To avoid accidental use of raw pointers, ieee802_15_4::frame_buffer_cc's constructor is in a private implementation class. ieee802_15_4::frame_buffer_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- frame_buffer_cc.h